<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright � 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| User galleries
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// auto create
if(!is_dir(IMAGES."user_photos")) {
    mkdir(IMAGES."user_photos", 0777);
}

include INFUSIONS."user_gallery/infusion_db.php";

if (file_exists(INFUSIONS."user_gallery/locale/".$settings['locale'].".php")) {
    include INFUSIONS."user_gallery/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."user_gallery/locale/English.php";
}

// Infusion Information
$inf_title = "Galerie użytkowników";
$inf_description = "Wtyczka pozwalająca na prowadzenie własnych galerii przez użytkowników.";
$inf_version = "1.0";
$inf_developer = "Mateusz Sieprawski";
$inf_email = "crom9153@gmail.com";
$inf_weburl = "http://www.duner.info/";

// Infusion Paths
$inf_folder = "user_gallery";

// Database Create New Table Command
$inf_newtable[1] = USER_ALBUMS." (
    id int(11) NOT NULL auto_increment,
    user_id int(11) NOT NULL default '0',
    title varchar(255) NOT NULL default '',
    thumb varchar(255) NOT NULL default '',
    date varchar(255) NOT NULL default '',
    PRIMARY KEY  (id)
) TYPE=MyISAM";

$inf_newtable[2] = USER_PHOTOS." (
    id int(11) NOT NULL auto_increment,
    user_id int(11) NOT NULL default '0',
    album_id int(11) NOT NULL default '0',
    title varchar(255) NOT NULL default '',
    description TEXT NOT NULL,
    photo TEXT NOT NULL,
    date varchar(255) NOT NULL default '',
    PRIMARY KEY  (id)
) TYPE=MyISAM";

$inf_newtable[3] = GALLERIES_SETTINGS." (
    settings_name VARCHAR(200) NOT NULL DEFAULT '',
    settings_value TEXT NOT NULL,
    PRIMARY KEY (settings_name)
) ENGINE=MyISAM";

// Database Insert Rows Command
$inf_insertdbrow[1] = GALLERIES_SETTINGS." VALUES (
    'max_albums', '3'
)";

$inf_insertdbrow[2] = GALLERIES_SETTINGS." VALUES (
    'max_photos', '10'
)";

$inf_insertdbrow[3] = GALLERIES_SETTINGS." VALUES (
    'max_weight_album', '200'
)";

$inf_insertdbrow[4] = GALLERIES_SETTINGS." VALUES (
    'max_weight_photo', '1024'
)";


// Database Table Drop Command
$inf_droptable[1] = USER_ALBUMS;
$inf_droptable[2] = USER_PHOTOS;
$inf_droptable[3] = GALLERIES_SETTINGS;

// Infusion Inforamations
$inf_adminpanel[1] = array(
    "title" => "Galerie użytkowników",
    "image" => "duner.png",
    "panel" => "ug_admin.php",
    "rights" => "BLAN"
);
?>