<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| User galleries
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."user_gallery/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("BLAN") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."user_gallery/locale/".$settings['locale'].".php")) {
    include INFUSIONS."user_gallery/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."user_gallery/locale/English.php";
}

// przydatne funkcje
function ciach($string, $lenght) {
    if(strlen($string) > $lenght) {
        $string = substr($string, 0, $lenght);
        $string .= "...";
        return $string;
    }
    else {
        return $string;
    }
}

function getUser($id) {
    global $locale;
    $information = $locale['UG_002'];
    $count = dbcount("(user_id)", DB_USERS, "user_id='".$id."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".DB_USERS."` WHERE `user_id` = '".$id."'");
        $user = dbarray($sql);
        return $user['user_name'];
    }
    else {
        return $information.": id = ".$id;
    }
}

// akcje
if(isSet($_POST['save_settings'])) {
    $max_albums = mysql_escape_string(stripinput($_POST['max_albums']));
    $max_photos = mysql_escape_string(stripinput($_POST['max_photos']));
    $max_weight_album = mysql_escape_string(stripinput($_POST['max_weight_album']));
    $max_weight_photo = mysql_escape_string(stripinput($_POST['max_weight_photo']));
    $sql1 = dbquery("UPDATE `".GALLERIES_SETTINGS."` SET `settings_value` = '".$max_albums."' WHERE `settings_name` = 'max_albums'");
    $sql2 = dbquery("UPDATE `".GALLERIES_SETTINGS."` SET `settings_value` = '".$max_photos."' WHERE `settings_name` = 'max_photos'");
    $sql3 = dbquery("UPDATE `".GALLERIES_SETTINGS."` SET `settings_value` = '".$max_weight_album."' WHERE `settings_name` = 'max_weight_album'");
    $sql4 = dbquery("UPDATE `".GALLERIES_SETTINGS."` SET `settings_value` = '".$max_weight_photo."' WHERE `settings_name` = 'max_weight_photo'");
    if(($sql1) || ($sql2) || ($sql3) || ($sql4)) {
        $information = $locale['UG_070'];
    }
    else {
        $information = $locale['UG_071'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "delete") && (isSet($_GET['type'])) && ($_GET['type'] == "album") && (isSet($_GET['id']))) {
    $count = dbcount("(id)", USER_ALBUMS, "id='".$_GET['id']."'");
    if($count > 0) {
        $count_2 = dbcount("(id)", USER_PHOTOS, "album_id='".$_GET['id']."'");
        if($count_2 > 0) {
            $information = $locale['UG_038']."<br />";
            $information .= $locale['UG_039'];
        }
        else {
            $sql = dbquery("DELETE FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['id']."'");
            if($sql) {
               $information = $locale['UG_033'];
            }
            else {
                $information = $locale['UG_072'];
            }
        }
    }
    else {
        $information = $locale['UG_040'];
    }
}

if((isSet($_GET['action'])) && ($_GET['action'] == "delete") && (isSet($_GET['type'])) && ($_GET['type'] == "photo") && (isSet($_GET['id']))) {
    $count = dbcount("(id)", USER_PHOTOS, "id='".$_GET['id']."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
        $photo = dbarray($sql);
        if(file_exists(PHOTOS_DIR.$photo['photo'])) {
            $image = unlink(PHOTOS_DIR.$photo['photo']);
            if($image) {
                $sql = dbquery("DELETE FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
                if($sql) {
                    $information = $locale['UG_030'];
                    echo '<script type="text/javascript">';
                    echo '$(function() {';
                    echo "$('#tabs').tabs({ selected: 1 });";
                    echo '});';
                    echo '</script>';
                }
            }
            else {
                $information = $locale['UG_073'];
                echo '<script type="text/javascript">';
                echo '$(function() {';
                echo "$('#tabs').tabs({ selected: 1 });";
                echo '});';
                echo '</script>';
            }

        }
        else {
            $information = $locale['UG_073'];
            echo '<script type="text/javascript">';
            echo '$(function() {';
            echo "$('#tabs').tabs({ selected: 1 });";
            echo '});';
            echo '</script>';
        }
    }
    else {
        $information = $locale['UG_032'];
        echo '<script type="text/javascript">';
        echo '$(function() {';
        echo "$('#tabs').tabs({ selected: 1 });";
        echo '});';
        echo '</script>';
    }
}

if(isSet($_POST['edit_album'])) {
    $id = $_POST['gallery_id'];
    $count = dbcount("(id)", USER_ALBUMS, "id='".$id."'");
    if($count > 0) {
        $title = mysql_escape_string(stripinput($_POST['album_title']));
        $thumb = mysql_escape_string(stripinput($_POST['album_thumb']));
        $sql = dbquery("UPDATE `".USER_ALBUMS."` SET `title` = '".$title."', `thumb` = '".$thumb."' WHERE `id` = '".$id."'");
        if($sql) {
            $information = $locale['UG_028'];
        }
        else {
                $information = $locale['UG_074'];
            }
    }
    else {
        $information = $locale['UG_040'];
    }
}

if(isSet($_POST['edit_photo'])) {
    $id = $_POST['photo_id'];
    $count = dbcount("(id)", USER_PHOTOS, "id='".$id."'");
    if($count > 0) {
        $title = mysql_escape_string(stripinput($_POST['photo_title']));
        $desc = mysql_escape_string(stripinput($_POST['photo_desc']));
        $sql = dbquery("UPDATE `".USER_PHOTOS."` SET `title` = '".$title."', `description` = '".$desc."' WHERE `id` = '".$id."'");
        if($sql) {
            $information = $locale['UG_019'];
            echo '<script type="text/javascript">';
            echo '$(function() {';
            echo "$('#tabs').tabs({ selected: 1 });";
            echo '});';
            echo '</script>';
        }
        else {
                $information = $locale['UG_075'];
            }
    }
    else {
        $information = $locale['UG_032'];
    }
}

echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-1.4.2.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-ui-1.8.4.custom.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/main.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery.colorbox-min.js"></script>';

echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/styles.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/colorbox.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/jquery-ui-1.8.4.custom.css" type="text/css" media="all" />';

// ustawienie powiadomien
if(isSet($information)) {
    opentable($locale['UG_006']);
        echo '<div style="padding: 20px 20px 20px 20px"><center><b>'.$information.'</b></center></div>';
    closetable();
}

// otwarcie glownego okna do zarzadzania
opentable($locale['UG_076']);

echo '<div id="tabs">';
    echo '<ul class="tabs-list">';
        echo '<li><a href="#tabs-1">'.$locale['UG_077'].'</a></li>';
        echo '<li><a href="#tabs-2">'.$locale['UG_078'].'</a></li>';
        echo '<li><a href="#tabs-3">'.$locale['UG_079'].'</a></li>';
    echo '</ul>';

    // akcje dot. galerii
    $count = dbcount("(id)", USER_ALBUMS);
    if($count > 0) {
        echo '<div id="tabs-1">';
            if((isSet($_GET['action'])) && ($_GET['action'] == "edit") && (isSet($_GET['type'])) && ($_GET['type'] == "album") && (isSet($_GET['id']))) {
                $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['id']."'");
                $gallery = dbarray($sql);
                if($sql) {
                    echo "<table cellspacing='1' cellpadding='0' class='tbl-border center' style='margin-bottom: 20px;'>\n";
                    echo "<tr><td colspan='2' class='tbl1'><h2>".$locale['UG_060']."</h2></td></tr>\n";
                    echo "<form action='".FUSION_SELF.$aidlink."' method='POST'>\n";
                    $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['id']."'");
                    echo "<input type='hidden' name='gallery_id' value='".$gallery['id']."' />\n";
                    echo "<tr>\n<td class='tbl1'>".$locale['UG_061']."</td>\n";
                    echo "<td class='tbl1'><input type='text' class='textbox' name='album_title' value='".$gallery['title']."' /></td>\n</tr>\n";
                    echo "<tr>\n<td class='tbl1'>".$locale['UG_062']."</td>\n";
                    echo "<td class='tbl1'><input type='text' class='textbox' name='album_thumb' value='".$gallery['thumb']."' /></td>\n</tr>\n";
                    echo "<tr><td class='tbl1'></td><td class='tbl1' style='text-align: right;'><input type='submit' class='button' name='edit_album' value='".$locale['UG_049']."' /></td></tr>\n";
                    echo "</form>\n";
                    echo "</table>\n";
                }
                else {
                    $information = $locale['UG_080'];
                }
            }
            else {
                $information = $locale['UG_040'];
            }
            echo "<table cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
            echo "<tr><td colspan='5' class='tbl1'><h2>".$locale['UG_009']."</h2></td></tr>\n";
            echo "<tr>\n";
            echo "<td class='tbl2' style='text-align: center;'><b>ID</b></td>\n";
            echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_081']."</b></td>\n";
            echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_082']."</b></td>\n";
            echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_062']."</b></td>\n";
            echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_083']."</b></td>\n";
                if(isSet($_GET['rowstart'])) {
                    $rowstart = $_GET['rowstart'];
                }
                else {
                    $rowstart = 0;
                }
                $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` LIMIT ".$rowstart.",10");
                $color = 1;
                while ($gallery = dbarray($sql)) {
                    echo "<tr>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".$gallery['id']."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'><a href='".BASEDIR."profile.php?lookup=".$gallery['user_id']."'>".ciach(getUser($gallery['user_id']), 22)."</a></td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".ciach($gallery['title'], 23)."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".ciach($gallery['thumb'], 18)."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'><a class='show' href='".INFUSIONS."user_gallery/my_gallery.php?album=".$gallery['id']."'>".$locale['UG_084']."</a> <a class='edit' href='".FUSION_SELF.$aidlink."&action=edit&type=album&id=".$gallery['id']."'>".$locale['UG_052']."</a> <a class='delete' onClick='return deleteAlbum()' href='".FUSION_SELF.$aidlink."&action=delete&type=album&id=".$gallery['id']."'>".$locale['UG_053']."</a></td>\n";
                    echo "</tr>\n";
                    $color++;
                }
            echo "</table>\n";
            echo '<div class="pagination">';
                $count = dbcount("(id)", USER_ALBUMS);
                if($count > 10) {
                    if(isSet($_GET['rowstart'])) {
                        $rowstart = $_GET['rowstart'];
                    }
                    else {
                        $rowstart = 0;
                    }
                    echo makepagenav($rowstart, 10, $count, 3, FUSION_SELF.$aidlink."&");
                }
            echo '</div>';
            echo '<div class="clear"></div>';
        echo '</div>';
    }
    else {
        echo '<div id="tabs-1" class="tab">';
            echo '<p>'.$locale['UG_085'].'</p>';
            echo '<div class="clear"></div>';
        echo '</div>';
    }

    // akcje dot. zdjec
    $count = dbcount("(id)", USER_PHOTOS);
    if($count > 0) {
        echo '<div id="tabs-2">';
        if((isSet($_GET['action'])) && ($_GET['action'] == "edit") && (isSet($_GET['type'])) && ($_GET['type'] == "photo") && (isSet($_GET['id']))) {
                $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
                $photo = dbarray($sql);
                if($sql) {
                    echo '<script type="text/javascript">';
                    echo '$(function() {';
                    echo "$('#tabs').tabs({ selected: 1 });";
                    echo '});';
                    echo '</script>';
                    echo "<table cellspacing='1' cellpadding='0' class='tbl-border center' style='margin-bottom: 20px;'>\n";
                    echo "<tr><td colspan='2' class='tbl1'><h2>".$locale['UG_044']."</h2></td></tr>\n";
                    echo "<form name='inputform' action='".FUSION_SELF.$aidlink."' method='POST'>";
                    $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `id` = '".$_GET['id']."'");
                    echo "<input type='hidden' name='photo_id' value='".$photo['id']."' />";
                    echo "<tr>\n<td class='tbl1'>".$locale['UG_045']."</td>\n";
                    echo "<td class='tbl1'><input type='text' class='textbox' name='photo_title' value='".$photo['title']."' /></td>\n</tr>\n";
                    echo "<tr>\n<td class='tbl1'>".$locale['UG_047']."</td>\n";
                    echo "<td class='tbl1'><textarea class='textbox' name='photo_desc'>".$photo['description']."</textarea>\n";
                    echo display_bbcodes("150px;", "photo_desc", "inputform", "smiley|b|u|url|color");
                    echo "</td>\n</tr>\n";
                    echo "<tr><td class='tbl1'></td><td class='tbl1' style='text-align: right;'><input type='submit' class='button' name='edit_photo' value='".$locale['UG_049']."' /></td></tr>\n";
                    echo "</form>\n";
                    echo "</table>\n";
                }
                else {
                    $information = $locale['UG_050'];
                }
            }
            else {
                $information = $locale['UG_040'];
            }
            echo "<table cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
                echo "<tr><td colspan='5' class='tbl1'><h2>".$locale['UG_078']."</h2></td></tr>\n";
                echo "<tr>\n";
                echo "<td class='tbl2' style='text-align: center;'><b>ID</b></td>\n";
                echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_081']."</b></td>\n";
                echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_045']."</b></td>\n";
                echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_047']."</b></td>\n";
                echo "<td class='tbl2' style='text-align: center;'><b>".$locale['UG_083']."</b></td>\n";
                echo "</tr>\n";
                if(isSet($_GET['rowstart_photos'])) {
                    $rowstart = $_GET['rowstart_photos'];
                }
                else {
                    $rowstart = 0;
                }
                $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` LIMIT ".$rowstart.",10");
                $color = 1;
                while ($photo = dbarray($sql)) {
                    echo "<tr>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".$photo['id']."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'><a href='".BASEDIR."profile.php?lookup=".$photo['user_id']."'>".ciach(getUser($photo['user_id']), 22)."</a></td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".ciach($photo['title'], 23)."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'>".ciach($photo['description'], 18)."</td>\n";
                    echo "<td class='tbl"; if($color%2) { echo 1; } else { echo 2; } echo "'><a class='show' rel='admin-photos' href='".IMAGES."user_photos/".$photo['photo']."'>".$locale['UG_048']."</a> <a class='edit' href='".FUSION_SELF.$aidlink."&action=edit&type=photo&id=".$photo['id']."'>".$locale['UG_052']."</a> <a class='delete' onClick='return deletePhoto()' href='".FUSION_SELF.$aidlink."&action=delete&type=photo&id=".$photo['id']."'>".$locale['UG_053']."</a></td>\n";
                    echo "</tr>\n";
                    $color++;
                }
            echo "</table>\n";
            echo '<div class="pagination">';
                $count = dbcount("(id)", USER_PHOTOS);
                if($count > 10) {
                    if(isSet($_GET['rowstart'])) {
                        $rowstart = $_GET['rowstart'];
                    }
                    else {
                        $rowstart = 0;
                    }
                    echo makepagenav($rowstart, 10, $count, 3, FUSION_SELF.$aidlink."&");
                }
            echo '</div>';
            echo '<div class="clear"></div>';
        echo '</div>';
    }
    else {
        echo '<div id="tabs-2">';
            echo '<p>'.$locale['UG_087'].'</p>';
            echo '<div class="clear"></div>';
        echo '</div>';
    }

    // akcje dot. ustawien
    echo '<div id="tabs-3">';
    
    $ug_settings = array();
    $sql = dbquery("SELECT * FROM `".GALLERIES_SETTINGS."`");
    while($data = dbarray($sql)) {
        $ug_settings[$data['settings_name']] = $data['settings_value'];
    }
    echo '<form action="'.FUSION_SELF.$aidlink.'" method="POST">';
    echo "<table cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
        echo "<tr><td colspan='5' class='tbl1'><h2>".$locale['UG_079']."</h2></td></tr>\n";
        echo "<tr><td class='tbl2'>".$locale['UG_088']."</td><td class='tbl2'><input type='text' class='textbox' name='max_albums' value='".$ug_settings['max_albums']."' /></td></tr>\n";
        echo "<tr><td class='tbl1'>".$locale['UG_089']."</td><td class='tbl1'><input type='text' class='textbox' name='max_photos' value='".$ug_settings['max_photos']."' /></td></tr>\n";
        echo "<tr><td class='tbl2'>".$locale['UG_090']."</td><td class='tbl2'><input type='text' class='textbox' name='max_weight_album' value='".$ug_settings['max_weight_album']."' /> - ".$locale['UG_092']."</td></tr>\n";
        echo "<tr><td class='tbl1'>".$locale['UG_091']."</td><td class='tbl1'><input type='text' class='textbox' name='max_weight_photo' value='".$ug_settings['max_weight_photo']."' /> - ".$locale['UG_092']."</td></tr>\n";
        echo "<tr><td class='tbl2' colspan='2' style='text-align: right;'><input type='submit' class='button' name='save_settings' value='".$locale['UG_057']."' /></td></tr>\n";
    echo "</table>\n";
    echo "</form>\n";
    echo '<div class="clear"></div>';

    echo '</div>';


// zamkniecie glownego okna do zarzadzania
closetable();
require_once THEMES."templates/footer.php";
?>