<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| User galleries
| Author: Mateusz Sieprawski
| Email: crom9153@gmail.com
| Web: http://duner.info/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INFUSIONS."user_gallery/infusion_db.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."user_gallery/locale/".$settings['locale'].".php")) {
    include INFUSIONS."user_gallery/locale/".$settings['locale'].".php";
}
else {
    include INFUSIONS."user_gallery/locale/English.php";
}

function getUserid($username) {
    global $locale;
    $information = $locale['UG_002'];
    $count = dbcount("(user_name)", DB_USERS, "user_name='".$username."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".DB_USERS."` WHERE `user_name` = '".$username."'");
        $user = dbarray($sql);
        return $user['user_id'];
    }
    else {
        return $information.": username = ".$username;
    }
}

function scaleImage($location, $maxw=NULL, $maxh=NULL, $class=NULL){
    $img = @getimagesize($location);
    if($img){
        $w = $img[0];
        $h = $img[1];
        $dim = array('w','h');
        foreach($dim AS $val){
            $max = "max{$val}";
            if(${$val} > ${$max} && ${$max}){
                $alt = ($val == 'w') ? 'h' : 'w';
                $ratio = ${$alt} / ${$val};
                ${$val} = ${$max};
                ${$alt} = ${$val} * $ratio;
            }
        }
        if(!$class) {
            return("<img src='{$location}' alt='image' width='{$w}' height='{$h}' class='image' />");
        }
        else {
            return("<img src='{$location}' alt='image' width='{$w}' height='{$h}' class='image2' />");
        }
    }
}

function ciach($string, $lenght) {
    if(strlen($string) > $lenght) {
        $string = substr($string, 0, $lenght);
        $string .= "...";
        return $string;
    }
    else {
        return $string;
    }
}

function getUser($id) {
    global $locale;
    $information = $locale['UG_002'];
    $count = dbcount("(user_id)", DB_USERS, "user_id='".$id."'");
    if($count > 0) {
        $sql = dbquery("SELECT * FROM `".DB_USERS."` WHERE `user_id` = '".$id."'");
        $user = dbarray($sql);
        return $user['user_name'];
    }
    else {
        return $information.": id = ".$id;
    }
}

echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-1.4.2.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery-ui-1.8.4.custom.min.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/main.js"></script>';
echo '<script type="text/javascript" src="'.INFUSIONS.'user_gallery/js/jquery.colorbox-min.js"></script>';

echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/styles.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/colorbox.css" type="text/css" media="all" />';
echo '<link rel="stylesheet" href="'.INFUSIONS.'user_gallery/jquery-ui-1.8.4.custom.css" type="text/css" media="all" />';
?>

<script type="text/javascript">
$(function() {
    $("a[rel='mini-gallery']").colorbox({
        transition: "fade",
        close: "<?php echo $locale['UG_015']; ?>",
        next: "<?php echo $locale['UG_016']; ?>",
        previous: "<?php echo $locale['UG_017']; ?>",
        current: "",
        scalePhotos: true,
        maxWidth: "800px",
        maxHeight: "600px"
    });
    var availableTags = [
    <?php
        $sql = dbquery("SELECT * FROM `".DB_USERS."`");
        while($user = dbarray($sql)) {
            echo '"'.$user['user_name'].'",';
        }
    ?>
    ];
    $("#tags").autocomplete({
        source: availableTags
    });
});
</script>

<?php
$count = dbcount("(id)", USER_ALBUMS);
$count2 = dbcount("(id)", USER_PHOTOS);
if(($count > 0) && ($count2)) {
    if(isSet($_GET['album'])) {
        $count = dbcount("(id)", USER_ALBUMS, "id='".$_GET['album']."'");
        if($count > 0) {
            $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `id` = '".$_GET['album']."'");
            $album = dbarray($sql);
            opentable($locale['UG_001']." ".$album['title']);
                echo '<div style="float: left;width: 100%">';
                    echo '<div class="tbl2" style="float: left;width: 25%;text-align: center;">';
                        $image = $album['thumb'];
                        $img = scaleImage(PHOTOS_DIR.$image, 98, 98, 1);
                        if($image == "") {
                            $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_003'].'</span>';
                        }
                        $photos = dbcount("(id)", USER_PHOTOS, "album_id='".$album['id']."'");
                        echo '<center><b>'.ciach($album['title'], 30).'</b></center>';
                        echo '<center>'.$img.'</center>';
                        echo '<br />';
                        echo '<span class="small"><b>'.strftime("%d/%m/%Y", $album['date']).' '.strftime("%H:%M", $album['date']).'</b></span><br />';
                        echo $locale['UG_004'].': <a href="'.BASEDIR.'profile.php?lookup='.$album['user_id'].'"><b>'.getUser($album['user_id']).'</b></a><br />';
                        echo $locale['UG_005'].': <b>'.$photos.'</b><br />';
                    echo '</div>';
                    echo '<div style="float: left;margin-left: 10px;">';
                        $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` WHERE `album_id` = '".$album['id']."' ORDER BY `date` DESC LIMIT 0,5");
                        while($photo = dbarray($sql)) {
                            $image = $photo['photo'];
                            $img = scaleImage(PHOTOS_DIR.$image, 148, 148);
                            if($image == "") {
                                $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_003'].'</span>';
                            }
                            echo '<div style="float: left;width: 180px; margin-right: 5px;padding-right: 5px;border: 1px #000000 solid;">';
                            echo '<div style="float: left;width: 180px;text-align:center;">';
                            echo '<b>'.ciach($photo['title'], 25).'</b>';
                            echo '</div>';
                            echo '<div style="width:100px;text-align:center;">';
                            echo '<div class="tbl2" style="float: left;width: 175px; height: 150px;padding-right: 5px;"><center><a rel="mini-gallery" href="'.PHOTOS_DIR.$photo['photo'].'">'.$img.'</a></center></div>';
                            echo '<div style="float: left;width: 180px;text-align: center;"><center>';
                            echo parsesmileys(parseubb($photo['description'])).'<br /><br />';
                            echo $locale['UG_004'].': <b><a href="'.BASEDIR.'profile.php?lookup='.$photo['user_id'].'">'.getUser(ciach($photo['user_id'], 20)).'</a></b><br />';
                            echo strftime("%d/%m/%Y", $photo['date']);
                            echo '</center></div>';
                            echo '</div>';
                            echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
            closetable();
        }
        else {
            opentable($locale['UG_006']);
                echo '<div style="padding: 10px 10px 10px 10px;float: left;width: 100%;text-align: center;">'.$locale['UG_007'].'</div>';
            closetable();
        }
    }
    else {
        opentable($locale['UG_008']);
            echo '<div>';
                $sql = dbquery("SELECT * FROM `".USER_PHOTOS."` ORDER BY `date` DESC LIMIT 0,5");
                while($photo = dbarray($sql)) {
                    $image = $photo['photo'];
                    $img = scaleImage(PHOTOS_DIR.$image, 98, 98);
                    if($image == "") {
                        $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_003'].'</span>';
                    }
                    echo '<div style="float: left;width: 100px; margin-right: 5px;padding-right: 5px;">';
                    echo '<div style="float: left;width: 100px;text-align:center;">';
                    echo ciach($photo['title'], 12);
                    echo '</div>';
                    echo '<div style="width:100px;text-align:center;">';
                    echo '<div class="tbl2" style="float: left;width: 100px; height: 100px;padding-right: 5px;"><center><a rel="mini-gallery" href="'.PHOTOS_DIR.$photo['photo'].'">'.$img.'</a></center></div>';
                    echo '<div style="float: left;width: 100px;text-align: center;"><center>';
                    echo $locale['UG_004'].': <b><a href="'.BASEDIR.'profile.php?lookup='.$photo['user_id'].'">'.getUser(ciach($photo['user_id'], 20)).'</a></b><br />';
                    echo strftime("%d/%m/%Y", $photo['date']);
                    echo '</center></div>';
                    echo '</div>';
                    echo '</div>';
                }
            echo '</div>';
        closetable();
        opentable($locale['UG_009']);
            echo '<div class="tbl2" style="text-align: right;padding-right: 30px;">';
                echo '<form action="'.FUSION_SELF.'" method="POST">';
                    echo $locale['UG_010'].':';
                    echo '<input id="tags" type="text" class="textbox" name="search_text" style="margin-right: 10px;margin-left: 10px;">';
                    echo '<input type="submit" class="button" name="search" value="'.$locale['UG_011'].'" />';
                echo '</form>';
                echo '<div class="clear"></div>';
            echo '</div>';
            echo '<div style="margin-top: 10px;">';
                if(isSet($_GET['rowstart'])) {
                    $rowstart = $_GET['rowstart'];
                }
                else {
                    $rowstart = 0;
                }
                echo '<div style="width: 100%; float: left;">';
                    if(isSet($_POST['search'])) {
                        $text = mysql_escape_string(stripinput($_POST['search_text']));
                        $userid = getUserid($text);
                        $count = dbcount("(id)", USER_ALBUMS, "user_id='".$userid."'");
                        if(($count > 0) || (!$text)) {
                            $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` WHERE `user_id` = '".$userid."' ORDER BY `date` DESC LIMIT ".$rowstart.",10");
                            while($album = dbarray($sql)) {
                                $image = $album['thumb'];
                                $img = scaleImage(PHOTOS_DIR.$image, 98, 98);
                                if($image == "") {
                                    $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_012'].'</span>';
                                }
                                echo '<div style="float: left;width: 100px; margin-right: 5px;margin-bottom: 20px;">';
                                echo '<div style="float: left;width: 100px;text-align:center;">';
                                echo '<b>'.ciach($album['title'], 12).'</b>';
                                echo '</div>';
                                echo '<div style="width:100px;text-align:center;">';
                                echo '<div style="float: left;width: 100px; height: 100px;" class="tbl2"><center><a href="'.FUSION_SELF.'?album='.$album['id'].'">'.$img.'</a></center></div>';
                                echo '<div style="float: left;width: 100px;text-align: center;"><center>';
                                echo $locale['UG_004'].': <b><a href="'.BASEDIR.'profile.php?lookup='.$album['user_id'].'">'.getUser(ciach($album['user_id'], 20)).'</a></b><br />';
                                echo strftime("%d/%m/%Y", $album['date']);
                                echo '</center></div>';
                                echo '</div>';
                                echo '</div>';
                            }
                            echo '<div style="width: 100%;float: left; padding-top: 20px;text-align: right;">';
                                $count = dbcount("(id)", USER_ALBUMS, "user_id='".$userid."'");
                                if($count > 10) {
                                    $pagination = makepagenav($rowstart, 10, $count, 3);
                                    echo $pagination;
                                }
                            echo '</div>';
                        }
                        else {
                            echo '<div style="padding: 10px 10px 10px 10px;float: left;width: 100%;text-align: center;">'.$locale['UG_013'].'</div>';
                        }
                    }
                    else {
                        $sql = dbquery("SELECT * FROM `".USER_ALBUMS."` ORDER BY `date` DESC LIMIT ".$rowstart.",10");
                        while($album = dbarray($sql)) {
                            $image = $album['thumb'];
                            $img = scaleImage(PHOTOS_DIR.$image, 98, 98);
                            if($image == "") {
                                $img = '<span style="display: block;padding-top: 40px;">'.$locale['UG_012'].'</span>';
                            }
                            echo '<div style="float: left;width: 100px; margin-right: 5px;margin-bottom: 20px;">';
                            echo '<div style="float: left;width: 100px;text-align:center;">';
                            echo '<b>'.ciach($album['title'], 12).'</b>';
                            echo '</div>';
                            echo '<div style="width:100px;text-align:center;">';
                            echo '<div style="float: left;width: 100px; height: 100px;" class="tbl2"><center><a href="'.FUSION_SELF.'?album='.$album['id'].'">'.$img.'</a></center></div>';
                            echo '<div style="float: left;width: 100px;text-align: center;"><center>';
                            echo $locale['UG_004'].': <b><a href="'.BASEDIR.'profile.php?lookup='.$album['user_id'].'">'.getUser(ciach($album['user_id'], 20)).'</a></b><br />';
                            echo strftime("%d/%m/%Y", $album['date']);
                            echo '</center></div>';
                            echo '</div>';
                            echo '</div>';
                        }
                        echo '<div style="width: 100%;float: left; padding-top: 20px;text-align: right;">';
                            $count = dbcount("(id)", USER_ALBUMS);
                            if($count > 10) {
                                $pagination = makepagenav($rowstart, 10, $count, 3);
                                echo $pagination;
                            }
                        echo '</div>';
                    }
                echo '</div>';
                echo '<div class="clear"></div>';
            echo '</div>';
        closetable();
    }
}
else {
    opentable($locale['UG_009']);
        echo '<div style="padding: 10px 10px 10px 10px;float: left;width: 100%;text-align: center;">'.$locale['UG_014'].'</div>';
    closetable();
}

require_once THEMES."templates/footer.php";
?>